summaryrefslogtreecommitdiffstats
path: root/fontforge
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2008-05-06 08:40:50 +0000
committer Eric Hameleers <alien@slackware.com>2008-05-06 08:40:50 +0000
commit1d4bd544b9f0db724fba1b75f9c4194b06dccdcd (patch)
treec8ef13fba3e770436b6dab032e9a4bb4f84052e1 /fontforge
parentd117032552e5a926de29cff45099af73fccd812f (diff)
downloadasb-1d4bd544b9f0db724fba1b75f9c4194b06dccdcd.tar.gz
asb-1d4bd544b9f0db724fba1b75f9c4194b06dccdcd.tar.xz
Add TAG=alien ; better determination of SRCDIR ; add SlackBuild script to docdir
Diffstat (limited to 'fontforge')
-rwxr-xr-xfontforge/build/fontforge.SlackBuild26
1 files changed, 14 insertions, 12 deletions
diff --git a/fontforge/build/fontforge.SlackBuild b/fontforge/build/fontforge.SlackBuild
index 3f61c5c4..34182875 100755
--- a/fontforge/build/fontforge.SlackBuild
+++ b/fontforge/build/fontforge.SlackBuild
@@ -38,6 +38,8 @@
# * Update;
# 20080203-1: 10/feb/2008 by Eric Hameleers <alien@slackware.com>
# * Update.
+# 20080429-1: 06/may/2008 by Eric Hameleers <alien@slackware.com>
+# * Update, also build for Slackware 12.1.
#
# Run 'sh fontforge.SlackBuild --cleanup' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -48,16 +50,15 @@
# Set initial variables:
PRGNAM=fontforge
-VERSION=${VERSION:-20080203}
+VERSION=${VERSION:-20080429}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
+TAG=${TAG:-alien}
DOCS="AUTHORS LICENSE README-unix VERSION"
# Where do we look for sources?
-CWD=`pwd`
-SRCDIR=`dirname $0`
-[ "${SRCDIR:0:1}" == "." ] && SRCDIR=${CWD}/${SRCDIR}
+SRCDIR=$(cd $(dirname $0); pwd)
# Fontforge can use the Freetype sources for better support.
# Additionally, Fontforge can enable the bytecode interpreter (this can lead to
@@ -122,9 +123,9 @@ esac
# Create working directories:
mkdir -p $TMP/tmp-$PRGNAM # location to build the source
rm -rf $TMP/tmp-$PRGNAM/* # By default we remove the remnants of previous build
-mkdir -p $PKG # place for the package to be built
-rm -rf $PKG/* # We always erase old package's contents:
-mkdir -p $OUTPUT # place for the package to be saved
+mkdir -p $PKG # place for the package to be built
+rm -rf $PKG/* # We always erase old package's contents:
+mkdir -p $OUTPUT # place for the package to be saved
# Source file availability:
for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
@@ -134,7 +135,7 @@ for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
[ -w "$SRCDIR" ] || SOURCE[$i]="$OUTPUT/`basename ${SOURCE[$i]}`"
echo "Source '`basename ${SOURCE[$i]}`' not available yet..."
echo "Will download file to `dirname $SOURCE[$i]`"
- wget -nv -T 30 -O "${SOURCE[$i]}" "${SRCURL[$i]}" || true
+ wget -nv -T 20 -O "${SOURCE[$i]}" "${SRCURL[$i]}" || true
if [ $? -ne 0 -o ! -s "${SOURCE[$i]}" ]; then
echo "Downloading '`basename ${SOURCE[$i]}`' failed.. aborting the build."
mv -f "${SOURCE[$i]}" "${SOURCE[$i]}".FAIL
@@ -230,7 +231,8 @@ fi
# Add documentation:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
-chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
+cp -a $SRCDIR/$(basename $0) $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
# Compress the man page(s):
if [ -d $PKG/usr/man ]; then
@@ -253,11 +255,11 @@ fi
# Build the package:
cd $PKG
-makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
cd $OUTPUT
-md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz.md5
cd -
-cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
+cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
# Clean up the extra stuff:
if [ "$P1" = "--cleanup" ]; then